/* Copyright 2004,2005,2006 Thomas "thisnukes4u" Coppi
   If you use this program, please send me an e-mail at thisnukes4u@gmail.com
   You may do whatever you wish with this program except for selling it, claiming it as your own,
   or modifying it without releasing the source code (the listed restrictions are not mutally exclusive,
   they all apply). If you do not agree with the above terms, you may optionally distribute and use 
   this software under the GNU GPL, the terms of which are included in the COPYING file */

/* conf.h */

#include <gdk/gdk.h>

/* structure that contains config file information */
typedef struct Config {
	char title[100];
	char feed_loc[100];
	char font_face[100];
	unsigned int update;
	char font_size[100];
	unsigned int font_size_i;
	char lcolor[100];
	gboolean decorated;
	GdkColor bgcolor;
	char *sfgcolor;
	GdkColor fgcolor;
	unsigned int noquit; // 1 for yes, 0 for no
	unsigned int geom_x;
	unsigned int geom_y;
	unsigned int log; // 1 for yes, 0 for no
}Config;

Config *read_config(char *location);
Config *read_default_config(char *feed_location);
