/* Copyright 2004,2005 Thomas "thisnukes4u" Coppi
   If you use this program, please send me an e-mail at thisnukes4u@gmail.com
   You may do whatever you wish with this program except for selling it, claiming it as your own,
   or modifying it without releasing the source code (the listed restrictions are not mutally exclusive,
   they all apply). If you do not agree with the above terms, you may optionally distribute and use 
   this software under the GNU GPL, the terms of which are included in the COPYING file. */

/*rssfeed.h*/
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>

#define MAX_ITEMS 75

typedef struct RssFeed {
	char *location;
	int currnum;
	
	char *channel_desc;
	char *channel_lang;
	char *channel_link;
	char *channel_title;

	char *item_title[MAX_ITEMS];
	char *item_link[MAX_ITEMS];
	char *item_desc[MAX_ITEMS];
	char *item_date[MAX_ITEMS];

} RssFeed;

/*helper functions*/
int parse(RssFeed *feed);
void new_rssfeed(char *location, RssFeed *feed);
void free_rssfeed(RssFeed *feed);
